From b255fbc83620a3493521d19dd550274600b1b092 Mon Sep 17 00:00:00 2001
From: Chenxiong Qi <cqi@redhat.com>
Date: Jun 12 2018 06:38:52 +0000
Subject: [PATCH 14/15] Fix mistakes during rebase


Some old code was added back, which is fixed in this commit.

Signed-off-by: Chenxiong Qi <cqi@redhat.com>

---

diff --git a/pyrpkg/cli.py b/pyrpkg/cli.py
index 3d85e3e..90df637 100644
--- a/pyrpkg/cli.py
+++ b/pyrpkg/cli.py
@@ -1734,7 +1734,6 @@ see API KEY section of copr-cli(1) man page.
     def module_build_cancel(self):
         """Cancel an MBS build"""
         api_url = self.module_api_url
-        self.module_validate_config()
         build_id = self.args.build_id
         auth_method, oidc_id_provider, oidc_client_id, oidc_client_secret, \
             oidc_scopes = self.module_get_auth_config()
@@ -1750,9 +1749,6 @@ see API KEY section of copr-cli(1) man page.
     def module_build_info(self):
         """Show information about an MBS build"""
         self.cmd.module_build_info(self.module_api_url, self.args.build_id)
-        self.module_validate_config()
-        api_url = self.config.get(self.config_section, 'api_url')
-        self.cmd.module_build_info(api_url, self.args.build_id)
 
     def module_build_local(self):
         """Build a module locally using mbs-manager"""
@@ -1867,8 +1863,6 @@ see API KEY section of copr-cli(1) man page.
 
     def module_overview(self):
         """Show the overview of the latest builds in the MBS"""
-        self.module_validate_config()
-        api_url = self.config.get(self.config_section, 'api_url')
         self.cmd.module_overview(
             self.module_api_url, self.args.limit,
             finished=(not self.args.unfinished))

